Skip to main content
POST
/
v4
/
templates
Create new template
curl --request POST \
  --url https://api.kadoa.com/v4/templates/ \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "error": false,
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "latestVersion": 123,
    "archivedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "workflowCount": 123,
    "hasPrompt": true,
    "hasSchema": true,
    "hasValidation": true,
    "hasNotifications": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Body

application/json

Body

Request body for creating a new template

name
string
required

Name of the template

Required string length: 1 - 255
description
string

Description of the template

Maximum string length: 2000

Response

201

Response for template creation

error
enum<boolean>
required

Error flag (always false on success)

Available options:
false
success
enum<boolean>
required

Success flag

Available options:
true
data
object
required

Created template